Subject: Re: [RFC] Questions for "Git User's Survey 2011"

From: Michael J Gruber <[email-masked]>
Date: Mon, 24 Sep 2012 15:23:43 +0200

Jakub Narębski venit, vidit, dixit 23.09.2012 00:45:
> On Wed, Sep 19, 2012 at 7:35 PM, Felipe Contreras
> <[email-masked]> wrote:
>> Hi,
>>
>> On Wed, Sep 14, 2011 at 7:39 PM, Jakub Narebski <[email-masked]> wrote:
>>
>>> P.S. Would you be interested in running the next survey?
>>
>> I haven't seen any news regarding the 2012 survey. I'm interested in
>> running the survey this time, but I would like to know what that
>> entails :)
>>
>> I think the surveys should continue.
> 
> I have created short (well, at least shorter than previous ones)
> "Git User's Survey 2012" on Survs.com.  The test channel is
> 
>   https://www.survs.com/survey/J87I3PDBU4
> 
> Note that all answers in this channel would be deleted.
> 
> 
> I was thinking about running this survey for about three weeks, from
> 24 September to 14 October 2012.  The current premium unlimited plan,
> a gift from Survs.com admins, is valid till 26 October.  I don't know if it
> would be prolonged; it usually was.
> 
> As to what is involved in running survey: if we want and would be able to
> use Survs.com, one should register there, and I can add them to "git"
> account as a member with admin rights.
> 

Other version control systems:
I think the list needs to be sorted alphabetically, it's really long.
(You could also reduce and offer a text field "other.)

Resources:
I wouldn't put git-scm.com and the pro-git book into the same item.
git-scm.com was supposed to be "the" git community website (and also
"the" reference on git), and the fact that it looks like a pro-git book
sales platform is a different matter.

An interesting question would be: "What is the first source you consider
Git?", or even: "What is the Git homepage?"... Really, getting input on
what "the Git homepage" should be like would be nice, but not comparable
to previous surveys.

In any case, thanks for taking care of the survey again!

Michael